Skip to main content

Retrieving OAS v3 Files

Once you have followed the steps to retrieve the jsonPath value for a specific API, you can build the path to a specific resource.

To retrieve the specification file for a given API, join the base URL with the value of the relevant jsonPath.

# You can also use wget
curl -X GET https://TENANT_NAME.mambu.com/api/openapi/resources \
-u 'username:password'

Basic OAS file

The basic OAS file will not include any custom field values and you do not need to authenticate to access this endpoint.

The endpoint to retrieve the basic OAS file is:

https://TENANT_NAME.mambu.com/api/{jsonPath}

For example, to retrieve the basic OAS file for the Clients API you would use:

https://TENANT_NAME.mambu.com/api/openapi/resources/clients/v2

Enriched OAS file

The enriched OAS file will include any custom field values you have set up for your organisation at the time of generation. This endpoint requires authentication using HTTP Basic Auth.

The endpoint to retrieve the enriched OAS file with custom field values is:

https://TENANT_NAME.mambu.com/api/{jsonPath}/complete

For example, to retrieve the enriched OAS file for the Clients API you would use:

https://TENANT_NAME.mambu.com/api/openapi/resources/clients/v2/complete

Both endpoints are available for both your production and sandbox environments. Replace TENANT_NAME with TENANT_NAME.sandbox to access API specifications for the sandbox environment, which is usually one version ahead of production. This gives you time to investigate new features and functionality before using it in production.